/**
 * @file types.h
 *
 * @brief Types and constants specific to Linux.
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: types.h 3306 2010-02-16 18:19:23Z gwitten $
 */

#ifndef LINUX_TYPES_H
#define LINUX_TYPES_H

#include <stdbool.h>
#include <stdint.h>

#include <netinet/in.h>



/**
 * @brief Type of the time.
 */
typedef double C_time_t;

/**
 * @brief Type of the node address.
 */
typedef in_addr_t C_addr_t;

#endif	// LINUX_TYPES_H
