/**
 * @file icmp-light.h
 *
 * @brief Internet Control Message Protocol (ICMP) - minimal implemenation (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: icmp-light.h 3275 2010-02-08 22:42:58Z gwitten $
 */

#ifndef ICMP_LIGHT_H
#define ICMP_LIGHT_H

#include "../types.h"
#include "icmp-light_types.h"
#include "icmp-light_vars.h"

// Interface to main module.
void ICMP_init();
void ICMP_start();
void ICMP_stop();
void ICMP_finalize();
void ICMP_recv(const net_header_t* header, const void* payload);
bool ICMP_command(int argc, const char*const* argv);

// Interface provided by this module.
void ICMP_send_nop(C_addr_t to, ttl_t ttl, size_t payload_length);
void ICMP_send_echo_request(C_addr_t to, ttl_t ttl, callback_function_t function, ICMP_echo_request_result_t* echo_request_result);

#endif	// ICMP_LIGHT_H
