/**
 * @file icmp-light_vars.h
 *
 * @brief Internet Control Message Protocol (ICMP) - minimal implemenation (variables).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: icmp-light_vars.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef IMCP_LIGHT_VARS_H
#define IMCP_LIGHT_VARS_H

#include "../types.h"
#include "icmp-light_types.h"



/**
 * @brief Debug level for this component.
 */
#define ICMP_DEBUG_LEVEL	C_MSG_WARN



/**
 * @brief Currently active echo requests.
 */
list_t* C_ICMP_active_echo_requests;

/**
 * @brief Unique identifier for the next echo request/reply.
 */
uint16_t C_ICMP_next_echo_id;

/**
 * @brief Statistics counter for transmitted ICMP NOP packets.
 */
uint32_t C_ICMP_transmitted_nops;

/**
 * @brief Statistics counter for received ICMP NOP packets.
 */
uint32_t C_ICMP_received_nops;

#endif	// IMCP_LIGHT_VARS_H
