/**
 * @file main.h
 *
 * @brief Service Placement (main header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: main.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef MAIN_H
#define MAIN_H

#include "types.h"
#include "interface.h"



void C_handle_packet(const net_header_t* header, const void* payload);
void C_route(net_header_t* header, const void* payload);
void C_report_broken_link(C_addr_t address);
size_t C_max_dll_payload_size();
size_t C_max_net_payload_size();
void C_printf(const char *format, ...);

#endif	// MAIN_H
