/**
 * @file asg_simple_algorithm.h
 *
 * @brief ASG simple algorithm (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: asg_simple_algorithm.h 3424 2010-03-18 14:45:09Z gwitten $
 */

#ifndef ASG_SIMPLE_ALGORITHM_H
#define ASG_SIMPLE_ALGORITHM_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

bool asg_simple_idle(SERVICE_service_t* service);
void asg_simple_get_replication_targets(SERVICE_service_t* service, C_addr_t* replication_target_address_1, C_addr_t* replication_target_address_2);
C_addr_t asg_simple_get_migration_target(SERVICE_service_t* service, C_addr_t neighbor_address_to_ignore);

void asg_simple_algorithm_start(SERVICE_service_t* service);
void asg_simple_algorithm_stop(SERVICE_service_t* service);
void asg_simple_algorithm_report_known_service_instance(SERVICE_service_t* service, C_addr_t host_address);
void asg_simple_algorithm_report_invalid_service_instance(SERVICE_service_t* service, C_addr_t host_address);
list_t* asg_simple_algorithm_get_synchronization_hosts(const SERVICE_service_t* service, bool inter_host_update);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// ASG_SIMPLE_ALGORITHM_H
