/**
 * @file gcmi_cost_calculation.h
 *
 * @brief Graph cost multiple instances (cost calculation / header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: gcmi_cost_calculation.h 3195 2010-01-14 14:42:26Z wittenbu $
 */

#ifndef GCMI_COST_CALCULATION_H
#define GCMI_COST_CALCULATION_H

#include "../../types.h"
#include "../../service/service_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

float calculate_service_cost(const SERVICE_service_t* service, const list_t* host_addresses, C_addr_t coordinator_address);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// GCMI_COST_CALCULATION_H
