/**
 * @file graph_cost_single_instance.h
 *
 * @brief Graph cost single instance (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: graph_cost_single_instance.h 3235 2010-01-24 13:44:08Z wittenbu $
 */

#ifndef GRAPH_COST_SINGLE_INSTANCE_H
#define GRAPH_COST_SINGLE_INSTANCE_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

float GCSI_calculate_service_cost(const list_t* node_stats, C_addr_t service_host_address);

void graph_cost_single_instance_start(SERVICE_service_t* service);
void graph_cost_single_instance_stop(SERVICE_service_t* service);
void graph_cost_single_instance_trigger(SERVICE_service_t* service, uint8_t reason_id, const void* reason_parameter);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// GRAPH_COST_SINGLE_INSTANCE_H
