/**
 * @file service_util.h
 *
 * @brief Service utility functions (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_util.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef SERVICE_UTIL_H
#define SERVICE_UTIL_H

#include "../types.h"
#include "../util/list.h"
#include "../slp-light/slp-light_types.h"
#include "service_types.h"

void alloc_service_id(SERVICE_id_t** new_service_id, const SERVICE_id_t* service_id);
#ifdef C_ENABLE_CONSISTENCY_CHECKS
void check_service_id(const SERVICE_id_t* service_id);
#endif	// C_ENABLE_CONSISTENCY_CHECKS
void copy_service_id(SERVICE_id_t* dest_service_id, const SERVICE_id_t* src_service_id);
bool same_service_id(const SERVICE_id_t* service_id_1, const SERVICE_id_t* service_id_2);
bool matches_service_id(const void* item, const void* cmp_item);

#endif	// SERVICE_UTIL_H
