/**
 * @file slp-light_vars.h
 *
 * @brief Service Location Protocol (SLP) - minimal implemenation (variables).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp-light_vars.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef SLP_LIGHT_VARS_H
#define SLP_LIGHT_VARS_H

#include "../types.h"
#include "slp-light_types.h"



/**
 * @brief Debug level for this component.
 */
#define SLP_DEBUG_LEVEL	C_MSG_NOTE



/**
 * @brief List of currently active SLP queries.
 */
list_t* C_SLP_active_queries;

/**
 * @brief Statistics counter of total queries.
 */
uint32_t C_SLP_total_queries;

/**
 * @brief Statistics counter of successful queries.
 */
uint32_t C_SLP_successful_queries;

/**
 * @brief Statistics counter of failed queries.
 */
uint32_t C_SLP_failed_queries;



/**
 * @brief List of services for which a server is known.
 */
list_t* C_SLP_service_cache;

/**
 * @brief List of services which are known to be unavailable.
 */
list_t* C_SLP_unavailable_services;

#endif	// SLP_LIGHT_VARS_H
