/**
 * @file mapping.h
 *
 * @brief Network mapping functions (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: mapping.h 3319 2010-02-19 10:28:53Z gwitten $
 */

#ifndef UTIL_MAPPING_H
#define UTIL_MAPPING_H

#include "../types.h"

uint16_t get_number_of_known_nodes();
#ifdef C_USE_NETWORK_MAPPING
bool exists_known_link(C_addr_t src_address, C_addr_t dst_address);
bool exists_directly_known_link(C_addr_t src_address, C_addr_t dst_address);
bool exists_known_path(C_addr_t src_address, C_addr_t dst_address);
float get_distance_between_nodes(C_addr_t src_address, C_addr_t dst_address);
#endif	// C_USE_NETWORK_MAPPING

#endif	// UTIL_MAPPING_H
